
EXTEND_BOTTOM ~WSMITH01~ 13
    IF ~~ THEN REPLY @0 GOTO old_13		
    IF ~OR(3)
    PartyHasItem("SGMISC4")
    PartyHasItem("SGMISC5")
    PartyHasItem("SGMISC6")~ THEN GOTO MM59
    IF ~~ THEN REPLY #992 EXIT
END

APPEND WSMITH01

IF ~~ THEN BEGIN MM59 // from: 48.1 43.2 38.3 33.4 23.6 19.6 13.8
  SAY @1
  IF ~PartyHasItem("SGMISC4")
!PartyHasItem("SGMISC5")
!PartyHasItem("SGMISC6")~ THEN GOTO MM60
  IF ~!PartyHasItem("SGMISC4")
PartyHasItem("SGMISC5")
!PartyHasItem("SGMISC6")~ THEN GOTO MM62
  IF ~!PartyHasItem("SGMISC4")
!PartyHasItem("SGMISC5")
PartyHasItem("SGMISC6")~ THEN GOTO MM63
  IF ~PartyHasItem("SGMISC4")
PartyHasItem("SGMISC5")
!PartyHasItem("SGMISC6")~ THEN GOTO MM64
  IF ~PartyHasItem("SGMISC4")
!PartyHasItem("SGMISC5")
PartyHasItem("SGMISC6")~ THEN GOTO MM65
  IF ~!PartyHasItem("SGMISC4")
PartyHasItem("SGMISC5")
PartyHasItem("SGMISC6")~ THEN GOTO MM66
  IF ~PartyHasItem("SGMISC4")
PartyHasItem("SGMISC5")
PartyHasItem("SGMISC6")~ THEN GOTO MM67
END

IF ~~ THEN BEGIN MM60 // from: 59.0
  SAY @2 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM61 // from: 67.1 66.0 65.0 64.0 63.0 62.0 60.0
  SAY @3 /* #59763 */
  IF ~~ THEN GOTO old_13
END

IF ~~ THEN BEGIN MM62 // from: 59.1
  SAY @4 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM63 // from: 59.2
  SAY @5 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM64 // from: 59.3
  SAY @6 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM65 // from: 59.4
  SAY @7 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM66 // from: 59.5
  SAY @8 
  IF ~~ THEN GOTO MM61
END

IF ~~ THEN BEGIN MM67 // from: 59.6
  SAY @9 
  IF ~~ THEN REPLY @10  GOTO MM68
  IF ~~ THEN REPLY @11  GOTO MM61
END

IF ~~ THEN BEGIN MM68 // from: 67.0
  SAY @12 
  IF ~PartyGoldGT(9999)~ THEN REPLY @13  DO ~TakePartyGold(10000)
DestroyGold(10000) SetGlobal("SGForgeItem","AR0334",10)~ GOTO 56
  IF ~~ THEN REPLY @14 GOTO old_13
END

IF ~~ THEN BEGIN MM69 // from: 68.1
  SAY @15 
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN old_13
     SAY @16
     COPY_TRANS WSMITH01 13
   END
END